当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译内核出错,新手请各位大侠急救!
帖子发表于 : 2010-07-18 12:51 

注册: 2010-07-16 18:00
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
我在虚拟机中装了Ubuntu,用它来编译内核时,到了make menuconfig时,出现了一个编译窗口,我选好后点 Save an Alternate Configuration File,然后直接点OK,再退出,选yes保存,然后按网上提示执行
make-kpkg clean
出现的是:
root@ubuntu:/usr/src/linux-2.6.21.4# make-kpkg clean
exec make kpkg_version=12.032 -f /usr/share/kernel-package/ruleset/minimal.mk clean
====== making target minimal_clean [new prereqs: ]======
This is kernel package version 12.032.
test ! -f .config || cp -pf .config config.precious
test ! -e stamp-building || rm -f stamp-building
test ! -f Makefile || \
make ARCH=i386 distclean
make[1]: Entering directory `/usr/src/linux-2.6.21.4'
CLEAN scripts/basic
CLEAN scripts/kconfig
CLEAN include/config
CLEAN .config include/linux/autoconf.h
make[1]: Leaving directory `/usr/src/linux-2.6.21.4'
test ! -f config.precious || mv -f config.precious .config
rm -f modules/modversions.h modules/ksyms.ver scripts/cramfs/cramfsck scripts/cramfs/mkcramfs

接着按提示
fakeroot make-kpkg --initrd --append-to-version=-custom kernel_image
(在--append-to-version= 后面你可以写上任何字符串来区别内核版本, 但是必须以" - "符号开始而且后面不包括任何空格.)于是我输入了
fakeroot make-kpkg --initrd --append-to-version=-yanye
中间一大块省略,后面是

make -f debian/rules debian/stamp/conf/kernel-conf
make[2]: Entering directory `/usr/src/linux-2.6.21.4'
make[2]: `debian/stamp/conf/kernel-conf' is up to date.
make[2]: Leaving directory `/usr/src/linux-2.6.21.4'
make[1]: Leaving directory `/usr/src/linux-2.6.21.4'
echo done > debian/stamp/conf/minimal_debian
exec debian/rules APPEND_TO_VERSION=-yanye INITRD=YES
nothing to be done.
请各位大侠急救,谢谢


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 编译内核出错,新手请各位大侠急救!
帖子发表于 : 2010-07-18 12:59 
头像

注册: 2009-10-08 11:15
帖子: 8428
地址: 大城市铁岭
送出感谢: 0 次
接收感谢: 9
虚拟机中编译内核 :em06 机器够好的,


_________________
我们是命运的妓女,它把我们都嫖了

N卡驱动:http://www.nvidia.cn/Download/index.aspx?lang=cn
极品飞车:http://www.geforce.cn/optimize/optimal-game-settings/need-for-speed-shift-geforce-gts-450-ops
孤岛危机优化设置:http://www.geforce.cn/optimize/optimal-game-settings/crysis-geforce-gtx-450-ops
:cp /etc/skel/.bashrc ~/
PS1="\[\e]2;\u@\H \w\a\e[32;1m\]\T$\[\e[0m\] "
http://cdimage.ubuntu.com/
http://releases.ubuntu.com/


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 编译内核出错,新手请各位大侠急救!
帖子发表于 : 2010-07-18 13:53 

注册: 2010-07-16 18:00
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
这位的意思是虚拟机中不能编译内核?应该装双系统?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 编译内核出错,新手请各位大侠急救!
帖子发表于 : 2010-07-18 14:18 
头像

注册: 2010-06-04 1:06
帖子: 1791
送出感谢: 3
接收感谢: 5
hustyanye 写道:
这位的意思是虚拟机中不能编译内核?应该装双系统?

虚拟机性能下降很多的,而编译对系统的要求又很高。
为何不装双系统呢 :em06


_________________
1. GIMP入门教程(1~7)——比Photoshop更棒的图像处理软件!
2. Ubuntu桌面培训——初级,新手入门必看


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 编译内核出错,新手请各位大侠急救!
帖子发表于 : 2010-07-18 14:53 

注册: 2010-07-16 18:00
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
主要是我对双系统不熟悉,还没装过,而且不是很会用Ubuntu,所以没有装那个。现在的情况是虚拟机编译不了吗??


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译